{% extends 'main/base.html' %}
{% load static %}
{% block css %}
  <link rel="stylesheet" href="{% static "documents/css/documents.css" %}">
{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% load mptt_tags %}
{% block title %}Документы{% endblock %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb 'Документы' 'documents:index' %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <div class="container">
      <div class="row">
        <div class="col">
          <ul class="tree">
            {% recursetree categories %}
              {% if node.public %}
                <li class="tree__item {% if not node.is_leaf_node %}hasChildren{% endif %}">
              <span>
                {% if not node.is_leaf_node %}
                  <div class="icon"><i class="far fa-folder-open"></i></div>
                {% else %}
                  <div class="icon"><i class="far fa-folder"></i></div>
                {% endif %}

                <a href="{% url 'documents:check_category_permissions' node.id %}">{{ node.name }}</a>
              </span>
                  {% if not node.is_leaf_node %}
                    <ul class="children">
                      {{ children }}
                      {#                    <ul>#}
                      {#                      {% for a in node.get_all_documents %}#}
                      {#                        <li><a href="#"> <i class="far fa-file"></i> {{ a }}</a>#}
                      {#                          {% if perms.documents.change_document %}#}
                      {#                            <a href="/admin/documents/document/{{ a.id }}/change/"><i class="far fa-edit"></i></a>#}
                      {#                          {% endif %}#}
                      {#                        </li>#}
                      {#                      {% endfor %}#}
                      {#                    </ul>#}
                    </ul>
                  {% endif %}
                </li>
              {% else %}
                {% if perms.documents.change_category %}
                  <li class="tree__item {% if not node.is_leaf_node %}hasChildren{% endif %}">
                <span>
                {% if not node.is_leaf_node %}
                  <div class="icon"><i class="fas fa-unlock"></i></div>
                {% else %}
                  <div class="icon"><i class="fas fa-lock"></i></div>
                {% endif %}
                  <a href="{% url 'documents:check_category_permissions' node.id %}">{{ node.name }}</a>
                </span>
                    {% if not node.is_leaf_node %}
                      <ul class="children">
                        {{ children }}
                        {#                    <ul>#}
                        {#                      {% for a in node.get_all_documents %}#}
                        {#                        <li><a href="#"> <i class="far fa-file"></i> {{ a }}</a>#}
                        {#                          {% if perms.documents.change_document %}#}
                        {#                            <a href="/admin/documents/document/{{ a.id }}/change/"><i class="far fa-edit"></i></a>#}
                        {#                          {% endif %}#}
                        {#                        </li>#}
                        {#                      {% endfor %}#}
                        {#                    </ul>#}
                      </ul>
                    {% endif %}
                  </li>
                {% endif %}
              {% endif %}
            {% endrecursetree %}
          </ul>
        </div>
      </div>
    </div>
  </section>
{% endblock %}
{% block js %}
  <script src="{% static "documents/js/documents.js" %}"></script>
{% endblock %}

